Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1883398 - Update csi sidecar containers in rook
Summary: Update csi sidecar containers in rook
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: rook
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: Mudit Agarwal
QA Contact: Sidhant Agrawal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 04:05 UTC by Mudit Agarwal
Modified: 2021-06-01 08:46 UTC (History)
6 users (show)

Fixed In Version: 4.6.0-106.ci
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 06:24:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift rook pull 126 0 None closed Bug 1883398: ceph: update csi sidecar images 2020-11-30 10:33:11 UTC
Github rook rook pull 6336 0 None closed csi: update csi sidecar images 2020-11-30 10:33:11 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:24:54 UTC

Description Mudit Agarwal 2020-09-29 04:05:13 UTC
Description of problem (please be detailed as possible and provide log
snippests):

All CSI sidecars except of external-snapshotter were rebased in OCP4.6 in
the past weeks and passed QA testing. Due to Kubernetes schedule changes
it's pretty late in 4.6 development.

The updated images are available on the usual places. See this doc for
detailed info:
https://docs.google.com/document/d/1swHsFXJJDSV1PqAZexhJ4-Xk6t3QA4INC4RZmi3WN3g/edit#heading=h.e797b81b88q3

external-snapshotter may be still rebased before 4.6 GA, but in the
worst case it will be available in 4.6.z. Exact value of Z will be provided.

This BZ is to address the required changes in Rook because of sidecar updates.

Version of all relevant components (if applicable):
OCS 4.6 + OCP 4.6

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?


Is there any workaround available to the best of your knowledge?


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?


Can this issue reproducible?


Can this issue reproduce from the UI?


If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1.
2.
3.


Actual results:


Expected results:


Additional info:

Comment 2 Humble Chirammal 2020-09-29 05:10:29 UTC
Mudit,

>
All CSI sidecars except of external-snapshotter were rebased in OCP4.6 in
the past weeks and passed QA testing. Due to Kubernetes schedule changes
it's pretty late in 4.6 development.
>

Even csi-snapshotter has been rebased.

Comment 8 Mudit Agarwal 2020-11-04 09:01:20 UTC
Yeah, I think we have been running regression tests for quite some time now and all different csi operations are working fine. I can't think of anything else, this looks good.

Sorry for replying late.

Comment 9 Sidhant Agrawal 2020-11-04 09:44:17 UTC
Thanks, Mudit
Moving the bug to Verified.

Comment 12 errata-xmlrpc 2020-12-17 06:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.